import "./components/AppMenu.js"
import "./apps/Dashboard/Dashboard.js"
import "./apps/People/People.js"
    
class Home extends Shadow {

    render() {
        ZStack(() => {

            ZStack(() => {
                console.log(global.currentApp)
                switch(global.currentApp) {
                    case "Dashboard":
                        Dashboard()
                        break;
    
                    case "People":
                        People()
                        break;
                }
            })
            .onNavigate(function () {
                console.log("navigate")
                this.rerender()
            })

            AppMenu()
        })
        .overflowX("hidden")
    }
}

register(Home)